Mailinglist Archive: opensuse-updates (111 mails)

< Previous Next >
openSUSE-SU-2016:2278-1: moderate: Security update for mariadb
openSUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:2278-1
Rating: moderate
References: #984858 #985217 #986251 #991616
Cross-References: CVE-2016-3477 CVE-2016-3521 CVE-2016-3615
CVE-2016-5440
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


This update for mariadb fixes the following issues:

- CVE-2016-3477: Unspecified vulnerability in subcomponent parser
[bsc#991616]
- CVE-2016-3521: Unspecified vulnerability in subcomponent types
[bsc#991616]
- CVE-2016-3615: Unspecified vulnerability in subcomponent dml [bsc#991616]
- CVE-2016-5440: Unspecified vulnerability in subcomponent rbr [bsc#991616]
- mariadb failing test main.bootstrap [bsc#984858]
- left over "openSUSE" comments in MariaDB on SLE12 GM and SP1 [bsc#985217]
- remove unnecessary conditionals from specfile
- add '--ignore-db-dir=lost+found' option to rc.mysql-multi in order not
to misinterpret the lost+found directory as a database [bsc#986251]

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-1068=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libmysqlclient-devel-10.0.26-9.1
libmysqlclient18-10.0.26-9.1
libmysqlclient18-debuginfo-10.0.26-9.1
libmysqlclient_r18-10.0.26-9.1
libmysqld-devel-10.0.26-9.1
libmysqld18-10.0.26-9.1
libmysqld18-debuginfo-10.0.26-9.1
mariadb-10.0.26-9.1
mariadb-bench-10.0.26-9.1
mariadb-bench-debuginfo-10.0.26-9.1
mariadb-client-10.0.26-9.1
mariadb-client-debuginfo-10.0.26-9.1
mariadb-debuginfo-10.0.26-9.1
mariadb-debugsource-10.0.26-9.1
mariadb-errormessages-10.0.26-9.1
mariadb-test-10.0.26-9.1
mariadb-test-debuginfo-10.0.26-9.1
mariadb-tools-10.0.26-9.1
mariadb-tools-debuginfo-10.0.26-9.1

- openSUSE Leap 42.1 (x86_64):

libmysqlclient18-32bit-10.0.26-9.1
libmysqlclient18-debuginfo-32bit-10.0.26-9.1
libmysqlclient_r18-32bit-10.0.26-9.1


References:

https://www.suse.com/security/cve/CVE-2016-3477.html
https://www.suse.com/security/cve/CVE-2016-3521.html
https://www.suse.com/security/cve/CVE-2016-3615.html
https://www.suse.com/security/cve/CVE-2016-5440.html
https://bugzilla.suse.com/984858
https://bugzilla.suse.com/985217
https://bugzilla.suse.com/986251
https://bugzilla.suse.com/991616


< Previous Next >
This Thread
  • No further messages